[asterisk-scf-commits] asterisk-scf/integration/gitall.git branch "master" updated.
Commits to the Asterisk SCF project code repositories
asterisk-scf-commits at lists.digium.com
Thu Nov 18 11:57:57 CST 2010
branch "master" has been updated
via a23246d74d5a59343b68be07782ed73a0809afab (commit)
from 9a3f7d97a9f1f32c72bf342bdf62ec1b228e20d5 (commit)
Summary of changes:
.gitignore | 2 +-
gitall-asterisk-scf.sh | 26 +++++++++++++++++---------
2 files changed, 18 insertions(+), 10 deletions(-)
- Log -----------------------------------------------------------------
commit a23246d74d5a59343b68be07782ed73a0809afab
Author: Kevin P. Fleming <kpfleming at digium.com>
Date: Thu Nov 18 11:55:56 2010 -0600
Use pjproject from our own repository instead of a manually unpacked copy.
To simplify the build process and keep things consistent, there is now a
'pjproject' repository that contains the most recent version of pjproject
known to work with the Asterisk SCF components. This commit enhances the
gitall-asterisk-scf script to include that repository along with all the rest,
and to also check for an existing pjproject that is *not* a repository
clone; if one is found, a warning message is displayed and the script exits
so the user can remove the existing directory.
diff --git a/.gitignore b/.gitignore
index 5cfd6ab..972ef15 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,7 +3,7 @@ build
cmake
logger
media_rtp_pjmedia
-pjproject*
+pjproject
routing
servicediscovery
sip
diff --git a/gitall-asterisk-scf.sh b/gitall-asterisk-scf.sh
index 6e3b755..90061c0 100755
--- a/gitall-asterisk-scf.sh
+++ b/gitall-asterisk-scf.sh
@@ -42,6 +42,7 @@ repos[i++]=release/logger
repos[i++]=release/ice-util-cpp
repos[i++]=release/test_channel
repos[i++]=release/cmake
+repos[i++]=release/pjproject
# by default, pull
cmd=pull
@@ -113,6 +114,22 @@ EOF
fi
fi
+ if [ -d pjproject ] && [ ! -d pjproject/.git ]; then
+ echo " "
+ echo "---------"
+ echo "Previous versions of this build tree required you to download and"
+ echo "unpack pjproject into a subdirectory so it could be built along"
+ echo "with the other components. This version will pull pjproject from"
+ echo "a git repository along with the other components, so manual"
+ echo "download and unpacking is no longer needed."
+ echo " "
+ echo "Since your build tree has an existing pjproject directory, you'll"
+ echo "need to remove it and re-run this script."
+ echo "---------"
+ echo " "
+ exit 1
+ fi
+
for repo in "${repos[@]}"; do
repoDir=$(basename ${repo})
repoUri=${gitdepot}${tree}/${repo}
@@ -138,15 +155,6 @@ EOF
fi
echo " "
done
-
- if [ ! -d pjproject ]; then
- echo " "
- echo "--------- "
- echo "REMINDER: You must manually install pjproject in this directory."
- echo " http://www.pjsip.org/download.htm"
- echo "--------- "
- echo " "
- fi
} # pull
function passthrough()
-----------------------------------------------------------------------
--
asterisk-scf/integration/gitall.git
More information about the asterisk-scf-commits
mailing list